import { indicatorTemplatedBy } from "./readReadmeFootnotes.js";
const indicatorAfterAllContributors = /<!--\s*ALL-CONTRIBUTORS-LIST:END\s*-->/;
const indicatorAfterAllContributorsSpellCheck = /<!--\s*spellchecker:\s*enable\s*-->/;
async function readReadmeAdditional(getReadme) {
  const readme = await getReadme();
  if (!readme) {
    return void 0;
  }
  const indexAfterContributors = indicatorAfterAllContributorsSpellCheck.exec(readme) ?? indicatorAfterAllContributors.exec(readme);
  if (!indexAfterContributors) {
    return void 0;
  }
  const templatedByMatch = indicatorTemplatedBy.exec(readme);
  return readme.slice(
    indexAfterContributors.index + indexAfterContributors[0].length,
    templatedByMatch?.index
  ).trim();
}
export {
  readReadmeAdditional
};
