async function readReadmeExplainer(getReadme) {
  const readme = await getReadme();
  const indexOfUsageH2 = /## Usage/.exec(readme)?.index ?? readme.indexOf("##");
  if (indexOfUsageH2 === -1) {
    return void 0;
  }
  const beforeUsageH2 = readme.slice(0, indexOfUsageH2);
  const [indexOfLastTag, lastTagMatcher] = lastLastIndexOf(beforeUsageH2, [
    `">`,
    "/p>",
    "/>"
  ]);
  if (!lastTagMatcher) {
    return void 0;
  }
  return readme.slice(indexOfLastTag + lastTagMatcher.length, indexOfUsageH2).trim();
}
function lastLastIndexOf(text, matchers) {
  let pair = [-1, void 0];
  for (const matcher of matchers) {
    const indexOf = text.lastIndexOf(matcher);
    if (indexOf > pair[0]) {
      pair = [indexOf, matcher];
    }
  }
  return pair;
}
export {
  readReadmeExplainer
};
